package com.ruoyi.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 支付渠道枚举
 * @author qzz
 * 2024/9/13
 */

@Getter
@AllArgsConstructor
public enum PayChannel {
    CT_WX("ctwx", "创特微信支付"),
    TM_WX("tmwx", "太米微信支付");

    private final String code;

    private final String msg;

    public boolean equalsCode(String code) {
        return this.getCode().equals(code);
    }
}
